Bug 2253460 - bind: Update of b.root-servers.net
Summary: bind: Update of b.root-servers.net
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 40
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL: https://b.root-servers.org/news/2023/...
Whiteboard:
Depends On: 2253459 2253461 2253462 2253463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-07 14:41 UTC by Petr Menšík
Modified: 2024-03-04 01:26 UTC (History)
9 users (show)

Fixed In Version: bind-9.18.24-1.fc41 bind-9.18.24-1.fc39 bind-9.18.24-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2253459
Environment:
Last Closed: 2024-02-17 05:17:43 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Petr Menšík 2023-12-07 14:41:47 UTC
+++ This bug was initially created as a clone of Bug #2253459 +++

Several tools inside distribution works with DNS global servers. It contains list of root-servers.net, where one address recently has changed. It should be updated in all software using such list. Either built-in or explicit in configuration files, address of b.root-servers.net has changed.



Reproducible: Always

Steps to Reproduce:
1. check used hint address of b.root-servers.net
2. dig +short -x 199.9.14.201 -x 2001:500:200::b | grep -i ^b.root-servers.net
3. dig +short -x 170.247.170.2 -x 2801:1b8:10::b | grep -i ^b.root-servers.net
Actual Results:  
b.root-servers.net.	518400	IN	A	199.9.14.201
b.root-servers.net.	518400	IN	AAAA	2001:500:200::b


Expected Results:  
b.root-servers.net.	518400	IN	A	170.247.170.2
b.root-servers.net.	518400	IN	AAAA	2801:1b8:10::b


Authoritative servers list can be obtained from:
https://www.internic.net/domain/named.root

Or using command:
dig +tcp +norec @d.root-servers.net

Reverse addresses of old leads to: b-2017.b.root-servers.org.

$ dig +short -x 199.9.14.201 -x 2001:500:200::b 
b-2017.b.root-servers.org.
b-2017.b.root-servers.org.

$ dig +short -x 170.247.170.2 -x 2801:1b8:10::b | grep -i ^b.root-servers.net 
b.root-servers.net.
b.root-servers.net.

Comment 1 Fedora Update System 2024-01-16 15:45:58 UTC
FEDORA-2024-cbe8e8e144 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-cbe8e8e144

Comment 2 Fedora Update System 2024-01-17 18:06:06 UTC
FEDORA-2024-cbe8e8e144 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-cbe8e8e144`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-cbe8e8e144

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2024-01-25 00:39:56 UTC
FEDORA-2024-cbe8e8e144 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Aoife Moloney 2024-02-15 23:07:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

Comment 5 Fedora Update System 2024-02-17 04:19:09 UTC
FEDORA-2024-7378be30dd (bind-9.18.24-1.fc41 and bind-dyndb-ldap-11.10-27.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-7378be30dd

Comment 6 Fedora Update System 2024-02-17 04:46:23 UTC
FEDORA-2024-21310568fa (bind-9.18.24-1.fc39 and bind-dyndb-ldap-11.10-24.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-21310568fa

Comment 7 Fedora Update System 2024-02-17 05:17:43 UTC
FEDORA-2024-7378be30dd (bind-9.18.24-1.fc41 and bind-dyndb-ldap-11.10-27.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2024-02-17 05:31:16 UTC
FEDORA-2024-fae88b73eb (bind-9.18.24-1.fc38 and bind-dyndb-ldap-11.10-23.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-fae88b73eb

Comment 9 Fedora Update System 2024-02-18 01:48:45 UTC
FEDORA-2024-21310568fa has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-21310568fa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-21310568fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-02-18 02:32:25 UTC
FEDORA-2024-fae88b73eb has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-fae88b73eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-fae88b73eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-02-19 02:28:25 UTC
FEDORA-2024-21310568fa (bind-9.18.24-1.fc39 and bind-dyndb-ldap-11.10-24.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-03-04 01:26:46 UTC
FEDORA-2024-fae88b73eb (bind-9.18.24-1.fc38 and bind-dyndb-ldap-11.10-23.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.